** specification 2 - rolling 250 day windows
clear all
set more off
cd "N:\_Personal Work Folder\Baker\Volatility Adjustment Papers\Extended Data"
use priceseries_extended, clear

gen testperiod = (date >= d(09aug2006) && date <= d(08aug2007))

forval i = 1660/1910{
	qui gen date`i' = 0
		local k = `i' - 250
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
}
}
foreach var of varlist mmm-dis{
	foreach x in _arith _log{
			gen `var'`x'_tstat = .
	}
}

forval i = 1660/1910{
	foreach var of varlist mmm-dis{
		foreach x in _arith _log{
			reg `var'`x' spxt`x' if date`i' == 1
			predict ar`i', resid
			gen tstat`i' = ar`i'/e(rmse)
				replace `var'`x'_tstat = tstat`i' in `i'
		drop ar`i' tstat`i'		
	}
}
}

keep date *_tstat
keep if (date >= d(09aug2006) && date <= d(08aug2007))

foreach var of varlist mmm_arith_tstat - dis_log_tstat{
	gen ind_2t`var' = (ttail(250,abs(`var'))<=.025)
	gen ind_1t`var' = (ttail(250,abs(`var'))<=.05)
	}

keep date ind* 

reshape long ind_2 ind_1, i(date) j(security) string
collapse (mean) ind_2 ind_1, by(security)

export excel using "Results One Year Prior.xlsx", sheet(250 Day Rolling Window) sheetmodify firstrow(variables) cell(A1) 

