** specification 3 = Pre-period OLS using "Jarrell adjustment", or adjusting the standard error by the ratio of the change in vix
clear all 
set more off
cd "N:\_Personal Work Folder\Baker\Volatility Adjustment Papers\Extended Data"
use priceseries_extended, clear

gen estimation = (date >= d(09aug2005) && date <= d(08aug2006))
summ estimation
scalar n = r(sum)


gen testperiod = (date >= d(09aug2006) && date <= d(08aug2007))

summ vix if estimation == 1
	scalar est_vix = r(mean)
gen adjustment_ratio = vix / est_vix


foreach var of varlist mmm-dis{
	foreach x in _arith _log{
	
		reg `var'`x' spxt`x' if estimation == 1
		estimates store `var'`x'
		predict `var'`x'_hat
		predict `var'`x'_ar, resid
		gen `var'`x'_tstat = `var'`x'_ar / (e(rmse)*adjustment_ratio)
		
	}
}

*estout * using "market models Jarrell Adjustment.xls", cells(b t) stats(N rmse r2_a F) replace
drop _est*

keep date *_tstat
keep if (date >= d(09aug2006) && date <= d(08aug2007))

foreach var of varlist mmm_arith_tstat - dis_log_tstat{
	gen ind_2t`var' = (ttail(n,abs(`var'))<=.025)
	gen ind_1t`var' = (ttail(n,abs(`var'))<=.05)
	}

keep date ind* 

reshape long ind_2 ind_1, i(date) j(security) string
collapse (mean) ind_2 ind_1, by(security)

export excel using "Results One Year Prior.xlsx", sheet(PPOLS dailyvixadj) sheetmodify firstrow(variables) cell(A1) 
