
*** Specification 5 - rolling 250 day windows include a VIX adjustment
clear all
set more off
cd "N:\_Personal Work Folder\Baker\Volatility Adjustment Papers\Extended Data"
use priceseries_extended, clear


forval i = 1660/1910{
	qui gen date`i' = 0
		local k = `i' - 250
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
}
}

foreach var of varlist mmm-dis{
	foreach x in _arith _log{
	
	qui gen `var'`x'_hat = .
	qui gen `var'`x'_ar = .
	qui gen `var'`x'_tstat = .
	}
}

foreach var of varlist mmm-dis{
	forval i = 1660/1910{
		foreach x in _arith _log{
			
			reg `var'`x' spxt`x' if date`i' == 1
			predict `var'_date`i'`x'
			predict `var'_date`i'`x'r, resid
				summ vix if date`i' == 1
					scalar est_vix = r(mean)
					scalar point_vix = vix[`i']
						scalar adj_ratio = point_vix / est_vix
			gen `var'_date`i'`x't = `var'_date`i'`x'r / (e(rmse)*adj_ratio)
			replace `var'`x'_hat =  `var'_date`i'`x' in `i'
			replace `var'`x'_ar = `var'_date`i'`x'r in `i'
			replace `var'`x'_tstat = `var'_date`i'`x't in `i'

drop `var'_date`i'`x' `var'_date`i'`x'r `var'_date`i'`x't 

}
}
}

keep date *_tstat
keep if (date >= d(09aug2006) && date <= d(08aug2007))

foreach var of varlist mmm_arith_tstat - dis_log_tstat{
	gen ind_2t`var' = (ttail(250,abs(`var'))<=.025)
	gen ind_1t`var' = (ttail(250,abs(`var'))<=.05)
	}

keep date ind* 

reshape long ind_2 ind_1, i(date) j(security) string
collapse (mean) ind_2 ind_1, by(security)

export excel using "Results One Year Prior.xlsx", sheet(Rolling 250 OLS with VIXadj) sheetmodify firstrow(variables) cell(A1) 

