** specification 2 - rolling 250 day windows
clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries_extended, clear
gen time = _n
summ time if date == d(09aug2006)
	local start = r(mean)
summ time if date == d(08aug2007)
	local end = r(mean)
gen testperiod = (date >= d(09aug2006) && date <= d(08aug2007))

forval i = `start'/`end'{
	qui gen date`i' = 0
		local k = `i' - 240
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
}
}
foreach var of varlist mmm-dis{
	foreach x in _arith _log{
			gen ind_2t`var'`x'_tstat = 0
	}
}

forval i = `start'/`end'{
	foreach var of varlist mmm-dis{
		foreach x in _arith _log{
			reg `var'`x' spxt`x' if date`i' == 1
			predict ar`i', resid
		_pctile ar`i' if date`i' == 1, p(2.5,97.5) altdef
		replace ind_2t`var'`x'_tstat = 1 if ar`i' <= r(r1) | ar`i' >= r(r2) in `i'
		drop ar`i'	
	}
}
}

keep if testperiod == 1
keep date ind* 

reshape long ind_2, i(date) j(security) string
collapse (mean) ind_2, by(security)

export excel using "Results One Year Prior.xlsx", sheet("240 Day Rolling SQ") sheetmodify firstrow(variables) cell(A1) 

