** Code for specification 1, pre-sample estimation with OLS and no adjustment

clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
use priceseries, clear

gen estimation = (date >= d(09aug2006) && date <= d(08aug2007))
summ estimation
scalar n = r(sum)

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))

foreach var of varlist mmm-dis{
	foreach x in _arith _log{
	
		reg `var'`x' spxt`x' if estimation == 1
		estimates store `var'`x'
		predict `var'`x'_hat
		predict `var'`x'_ar, resid
		gen `var'`x'_tstat = `var'`x'_ar / e(rmse)
		
	}
}

*estout * using "market models.xls", cells(b t) stats(N rmse r2_a F) replace
drop _est*

keep date *_tstat
keep if (date >= d(09aug2007) && date <= d(23feb2009))

foreach var of varlist mmm_arith_tstat - dis_log_tstat{
	gen ind_2t`var' = (ttail(n,abs(`var'))<=.025)
	gen ind_1t`var' = (ttail(n,abs(`var'))<=.05)
	}

keep date ind* 

reshape long ind_2 ind_1, i(date) j(security) string
collapse (mean) ind_2 ind_1, by(security)

export excel using "Results - Financial Crisis Period.xlsx", sheet(Pre-period OLS) sheetmodify firstrow(variables) cell(A1) 




