* specification 4 = Pre-period FGLS ****************************************************************************************
clear all
set more off  
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
use priceseries, clear

gen estimation = (date >= d(09aug2006) && date <= d(08aug2007))
gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))

** gen 250 window prior to each date
forval i = 403/790{
	qui gen date`i' = 0
		local k = `i' - 250
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
}
}

* Set up vix to be on a daily level
gen vix_daily = (vix/100)/(250^0.5)
gen v_vix_daily = vix_daily^2

* Create the FGLS code	
program define fgls
   reg `1' `2' if `3'==1 
     predict double e, resid
   gen e2 = (e)^2
   reg e2 v_vix_daily if `3'==1, nocons
   predict double e2_hat
  gen weight = 1/e2_hat
   reg `1' `2' if `3'==1 [aw=weight]
   drop e e2 e2_hat weight
   mat b0 = e(b)
  local i=1 
  local check = 0
   while `check' != 1 { 
   predict double e_2, resid
   gen e2_2 = e_2^2
  reg e2_2 v_vix_daily if `3'==1, nocons
  predict double e2_2hat
  gen weight2 = 1/e2_2hat
  reg `1' `2' if `3'==1 [aw=weight2]
  drop e_2 e2_2  weight2
  mat b`i' = e(b)
  local j = `i' - 1
  mat diff = b`i' - b`j'
  mat list diff
  forval k = 1/4 {
  scalar a1`k' = diff[1,`k']
  }
  if abs(scalar(a11)) < 0.0001 & abs(scalar(a12)) < 0.0001{
  local check = 1
  display "Converged after iteration number " `i'
  } 
  else { 
  drop e2_2hat
  local i = `i' + 1 
  display `i' 
  } 
     } 
  end
 
 
 
foreach y of varlist mmm-dis{
	foreach x in _arith _log{
      gen `y'`x'_tstat = .
	}	
}		
		
		
		
forval i = 403/790{
  foreach y of varlist mmm-dis{
	 foreach x in _arith _log{
			fgls `y'`x' spxt`x' date`i'
			predict `y'`x'_ar_daily, resid
			gen `y'`x'_se = (e2_2hat)^0.5
			gen `y'`x'_tstat_daily = `y'`x'_ar_daily / `y'`x'_se
			replace `y'`x'_tstat = `y'`x'_tstat_daily in `i'
			drop e2_2hat `y'`x'_ar_daily `y'`x'_se `y'`x'_tstat_daily
			
		}
	}
}

keep date *_tstat
keep if (date >= d(09aug2007) && date <= d(23feb2009))

foreach var of varlist mmm_arith_tstat - dis_log_tstat{
	gen ind_2t`var' = (ttail(250,abs(`var'))<=.025)
	gen ind_1t`var' = (ttail(250,abs(`var'))<=.05)
	}

keep date ind* 

reshape long ind_2 ind_1, i(date) j(security) string
collapse (mean) ind_2 ind_1, by(security)

export excel using "Results - Financial Crisis Period.xlsx", sheet(Rolling 250 day Window FGLS) sheetmodify firstrow(variables) cell(A1) 
