clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
use priceseries, clear

gen estimation = (date >= d(24aug2006) && date <= d(08aug2007))
summ estimation
scalar n = r(sum)

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))

foreach var of varlist mmm-dis{
	foreach x in _arith _log{
	
		reg `var'`x' spxt`x' if estimation == 1
		predict `var'`x'_ar, resid
		_pctile `var'`x'_ar if estimation == 1, p(2.5,97.5) altdef
		gen ind_2t`var'`x'_tstat = (`var'`x'_ar <= r(r1) | `var'`x'_ar >= r(r2))
	}
}

keep if (date >= d(09aug2007) && date <= d(23feb2009))
keep date ind* 

reshape long ind_2, i(date) j(security) string
collapse (mean) ind_2, by(security)

export excel using "Results - Financial Crisis Period.xlsx", sheet("Pre-period SQ") sheetmodify firstrow(variables) cell(A1) 

