** specification 2 - rolling 250 day windows
clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
use priceseries, clear


forval i = 403/790{
	qui gen date`i' = 0
		local k = `i' - 240
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
}
}
foreach var of varlist mmm-dis{
	foreach x in _arith _log{
			gen ind_2t`var'`x'_tstat = 0
	}
}

forval i = 403/790{
	foreach var of varlist mmm-dis{
		foreach x in _arith _log{
			reg `var'`x' spxt`x' if date`i' == 1
			predict ar`i', resid
		_pctile ar`i' if date`i' == 1, p(2.5,97.5) altdef
		replace ind_2t`var'`x'_tstat = 1 if ar`i' <= r(r1) | ar`i' >= r(r2) in `i'
		drop ar`i' 	
	}
}
}

keep if (date >= d(09aug2007) & date <= d(23feb2009))
keep date ind* 

reshape long ind_2, i(date) j(security) string
collapse (mean) ind_2, by(security)

export excel using "Results - Financial Crisis Period.xlsx", sheet("240 Day Rolling SQ") sheetmodify firstrow(variables) cell(A1) 

