clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
use priceseries, clear

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
summ testperiod
scalar n = r(sum)
keep if testperiod == 1

foreach var of varlist mmm-dis{
	foreach x in _arith _log{ 
		reg `var'`x' spxt`x'
		predict `var'`x'_ar, resid
		_pctile `var'`x'_ar if testperiod == 1, p(2.5, 97.5) altdef
		gen ind_2t`var'`x'_tstat = (`var'`x'_ar <= r(r1) | `var'`x'_ar >= r(r2))
	}
}

keep if (date >= d(09aug2007) && date <= d(23feb2009))

keep date ind* 

reshape long ind_2, i(date) j(security) string
collapse (mean) ind_2, by(security)

export excel using "Results - Financial Crisis Period.xlsx", sheet("In Sample SQ no exclusions") sheetmodify firstrow(variables) cell(A1)

