* specification 4 = Pre-period FGLS ****************************************************************************************
clear all
set more off  
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear

gen estimation = (date >= d(09aug2006) && date <= d(08aug2007))
	summ estimation
	scalar n = r(sum)
gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
gen time = _n

* Set up vix to be on a daily level
gen vix_daily = (vix/100)/(250^0.5)
gen v_vix_daily = vix_daily^2

* Create the FGLS code	
program define fgls
   reg `1' `2' if `3'==1 
     predict double e, resid
   gen e2 = (e)^2
   reg e2 v_vix_daily if `3'==1, nocons
   predict double e2_hat
  gen weight = 1/e2_hat
   reg `1' `2' if `3'==1 [aw=weight]
   drop e e2 e2_hat weight
   mat b0 = e(b)
  local i=1 
  local check = 0
   while `check' != 1 { 
   predict double e_2, resid
   gen e2_2 = e_2^2
  reg e2_2 v_vix_daily if `3'==1, nocons
  predict double e2_2hat
  gen weight2 = 1/e2_2hat
  reg `1' `2' if `3'==1 [aw=weight2]
  drop e_2 e2_2  weight2
  mat b`i' = e(b)
  local j = `i' - 1
  mat diff = b`i' - b`j'
  mat list diff
  forval k = 1/4 {
  scalar a1`k' = diff[1,`k']
  }
  if abs(scalar(a11)) < 0.0001 & abs(scalar(a12)) < 0.0001{
  local check = 1
  display "Converged after iteration number " `i'
  } 
  else { 
  drop e2_2hat
  local i = `i' + 1 
  display `i' 
  } 
     } 
  end

foreach var of varlist mmm-dis{
	foreach x in 01 02 03 05 10 {
		gen art_`x'_`var' = 0
	}
}

foreach var of varlist mmm-dis{

	foreach x in 01 02 03 05 10{
		gen `var'_log_`x' = `var'_log
		replace `var'_log_`x' = `var'_log_`x' - `x'/100
	}
	fgls `var'_log spxt_log estimation 
		predict `var'_hat
		foreach x in 01 02 03 05 10{
			gen `var'_tstat`x' = (`var'_log_`x' - `var'_hat) / ((e2_2hat)^.5)
			replace art_`x'_`var' = 1 if ttail(n,`var'_tstat`x')>=.95
			drop `var'_log_`x' `var'_tstat`x' 
		}				
	drop `var'_hat e2_2hat
}

keep if testperiod == 1

reshape long art_, i(date) j(security) string
collapse (mean) art_, by(security)

cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Redo Type 2 Tables"
export excel using "Results Financial Crisis Period.xlsx", sheet("Pre-Period FGLS") sheetmodify firstrow(variables) cell(a1)
