clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
	summ testperiod
	scalar n = r(sum)
gen time = _n 


foreach var of varlist mmm-dis{
	foreach x in 01 02 03 05 10 {
		gen art_`x'_`var' = 0
	}
}

foreach var of varlist mmm-dis{

	foreach x in 01 02 03 05 10{
		gen `var'_log_`x' = `var'_log
		replace `var'_log_`x' = `var'_log_`x' - `x'/100
	}
	reg `var'_log spxt_log if testperiod == 1
		predict `var'_hat
		foreach x in 01 02 03 05 10{
			gen `var'_tstat`x' = (`var'_log_`x' - `var'_hat) / e(rmse)
			replace art_`x'_`var' = 1 if ttail(n,`var'_tstat`x')>=.95
			drop `var'_log_`x' `var'_tstat`x' 
		}				
	drop `var'_hat
}

keep if testperiod == 1

reshape long art_, i(date) j(security) string
collapse (mean) art_, by(security)

cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Redo Type 2 Tables"
export excel using "Results Financial Crisis Period.xlsx", sheet("In Sample OLS") sheetmodify firstrow(variables) cell(a1)

