clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear

gen estimation = (date >= d(09aug2006) && date <= d(08aug2007))
	summ estimation
	scalar n = r(sum)
gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
gen time = _n 

summ time if date == d(09aug2007)
	local start = r(mean)
summ time if date == d(23feb2009)
	local end = r(mean)
	
foreach var of varlist mmm-dis{
	foreach x in 01 02 03 05 10 {
		gen art_`x'_`var' = 0
	}
}

foreach var of varlist mmm-dis{

	foreach x in 01 02 03 05 10{
		gen `var'_log_`x' = `var'_log
		replace `var'_log_`x' = `var'_log_`x' - `x'/100
	}
	reg `var'_log spxt_log if estimation == 1
		predict `var'_hat
		predict `var'_resid, resid
		foreach x in 01 02 03 05 10{
			gen `var'_ar`x' = (`var'_log_`x' - `var'_hat)
			_pctile `var'_resid if estimation == 1, p(5) altdef
			replace art_`x'_`var' = 1 if `var'_ar`x' <= r(r1)
			drop `var'_log_`x' `var'_ar`x' 
		}				
	drop `var'_hat `var'_resid
}

keep if testperiod == 1

reshape long art_, i(date) j(security) string
collapse (mean) art_, by(security)

cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Redo Type 2 Tables"
export excel using "Results Financial Crisis Period.xlsx", sheet("Pre-Period SQ") sheetmodify firstrow(variables) cell(a1)

