** specification 2 - rolling 250 day windows
clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
gen time = _n

summ time if date == d(09aug2007)
	local start = r(mean)
summ time if date == d(23feb2009)
	local end = r(mean)

forval i = `start'/`end'{
	qui gen date`i' = 0
		local k = `i' - 250
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
			}
}
foreach var of varlist mmm-dis{
	foreach x in 01 02 03 05 10 {
		gen art_`x'_`var' = 0
	}
}

foreach var of varlist mmm-dis{
	forval i = `start'/`end'{
		reg `var'_log spxt_log if date`i' == 1
		predict `var'_hat
		predict `var'_resid, resid
		foreach x in 01 02 03 05 10{
			gen `var'_log_`x' = `var'_log
			replace `var'_log_`x' = `var'_log_`x' - `x'/100
			gen `var'_ar`x' = (`var'_log_`x' - `var'_hat)
			_pctile `var'_resid if date`i' == 1, p(5) altdef
			replace art_`x'_`var' = 1 in `i' if `var'_ar`x' <= r(r1)
			drop `var'_ar`x' `var'_log_`x' 
		}				
	drop `var'_hat `var'_resid
	}
}


keep if testperiod == 1

reshape long art_, i(date) j(security) string
collapse (mean) art_, by(security)

cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Redo Type 2 Tables"
export excel using "Results Financial Crisis Period.xlsx", sheet("240-Day Rolling SQ") sheetmodify firstrow(variables) cell(a1)
