*** Specification 5 - rolling 250 day windows include a VIX adjustment
clear all
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear

gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
gen time = _n

summ time if date == d(09aug2007)
	local start = r(mean)
summ time if date == d(23feb2009)
	local end = r(mean)

forval i = `start'/`end'{
	qui gen date`i' = 0
		local k = `i' - 250
		local j = `i' - 1
			forval m = `k'/`j'{
				qui replace date`i' = 1 in `m'
			}
}
foreach var of varlist mmm-dis{
	foreach x in 01 02 03 05 10 {
		gen art_`x'_`var' = 0
	}
}

foreach var of varlist mmm-dis{
	forval i = `start'/`end'{
		summ vix if date`i' == 1
			local est_vix = r(mean)
		reg `var'_log spxt_log if date`i' == 1
		predict `var'_hat
		foreach x in 01 02 03 05 10{
			gen `var'_log_`x' = `var'_log
			replace `var'_log_`x' = `var'_log_`x' - `x'/100
			gen `var'_tstat`x' = (`var'_log_`x' - `var'_hat) / (e(rmse)*(vix/`est_vix'))
			replace art_`x'_`var' = 1  in `i' if ttail(250,`var'_tstat`x')>=.95
			drop `var'_tstat`x' `var'_log_`x' 
		}				
	drop `var'_hat
	}
}


keep if testperiod == 1

reshape long art_, i(date) j(security) string
collapse (mean) art_, by(security)

cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Redo Type 2 Tables"
export excel using "Results Financial Crisis Period.xlsx", sheet("Rolling 250 OLS with VIXadj") sheetmodify firstrow(variables) cell(a1)

