clear all 
set more off
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers\Extended Data"
use priceseries, clear
gen time = _n

summ time if date == d(09aug2007)
	local start = r(mean)
summ time if date == d(23feb2009)
	local end = r(mean)
gen vix_daily = (vix/100)/(250^0.5)
gen v_vix_daily = vix_daily^2

* Create the FGLS code	
program define fgls
   reg `1' `2' if `3'==1 
     predict double e, resid
   gen e2 = (e)^2
   reg e2 v_vix_daily if `3'==1, nocons
   predict double e2_hat
  gen weight = 1/e2_hat
   reg `1' `2' if `3'==1 [aw=weight]
   drop e e2 e2_hat weight
   mat b0 = e(b)
  local i=1 
  local check = 0
   while `check' != 1 { 
   predict double e_2, resid
   gen e2_2 = e_2^2
  reg e2_2 v_vix_daily if `3'==1, nocons
  predict double e2_2hat
  gen weight2 = 1/e2_2hat
  reg `1' `2' if `3'==1 [aw=weight2]
  drop e_2 e2_2  weight2
  mat b`i' = e(b)
  local j = `i' - 1
  mat diff = b`i' - b`j'
  mat list diff
  forval k = 1/4 {
  scalar a1`k' = diff[1,`k']
  }
  if abs(scalar(a11)) < 0.0001 & abs(scalar(a12)) < 0.0001{
  local check = 1
  display "Converged after iteration number " `i'
  } 
  else { 
  drop e2_2hat
  local i = `i' + 1 
  display `i' 
  } 
     } 
  end
 
 
** in-sample ols
gen testperiod = (date >= d(09aug2007) && date <= d(23feb2009))
summ testperiod
scalar n = r(sum)
keep if testperiod == 1
foreach y of varlist mmm-dis{
      gen `y'_insampleols = 0
}	

foreach var of varlist mmm-dis{
		reg `var'_log spxt_log if testperiod == 1
		predict ar, resid
		gen tstat = ar / e(rmse)
		replace `var'_insampleols = 1 if (ttail(n,abs(tstat))<=.025)
		drop ar tstat
	}

egen insampleols = rowtotal(mmm_insampleols-dis_insampleols)
drop mmm_insampleols-dis_insampleols	

** in-sample ols with vix adj
foreach y of varlist mmm-dis{
      gen `y'_insampleols = 0
}	
summ vix
scalar est_vix = r(mean)
foreach var of varlist mmm-dis{
		reg `var'_log spxt_log if testperiod == 1
		predict ar, resid
		gen tstat = ar / (e(rmse)*(vix/est_vix))
		replace `var'_insampleols = 1 if (ttail(n,abs(tstat))<=.025)
		drop ar tstat
	}

egen insampleolsvixadj = rowtotal(mmm_insampleols-dis_insampleols)
drop mmm_insampleols-dis_insampleols

** insample fgls
foreach y of varlist mmm-dis{
      gen `y'_insamplefgls = 0
}	

  foreach y of varlist mmm-dis{
			fgls `y'_log spxt_log testperiod
			predict ar, resid
			gen standerror = (e2_2hat)^0.5
			gen tstat = ar / standerror
			replace `y'_insamplefgls = 1 if (ttail(250,abs(tstat))<=.025)
			drop e2_2hat ar standerror tstat
	}

egen insamplefgls = rowtotal(mmm_insamplefgls-dis_insamplefgls)
drop mmm_insamplefgls-dis_insamplefgls	

**insample sq
foreach y of varlist mmm-dis{
      gen `y'_insamplesq = 0
}	
foreach var of varlist mmm-dis{
			reg `var'_log spxt_log if testperiod == 1
			predict ar, resid
		_pctile ar if testperiod == 1, p(2.5,97.5) altdef
		replace `var'_insamplesq = 1 if ar <= r(r1) | ar >= r(r2) 
		drop ar
	}
egen insamplesq = rowtotal(mmm_insamplesq-dis_insamplesq)
drop mmm_insamplesq-dis_insamplesq	
/*	
cd "C:\Users\Andrew\Documents\Personal Folders\Volatility Adjustment Papers"
export excel date insampleols insamplefgls insamplesq insampleolsvixadj using "time_sig_chart.xlsx", sheet(output) cell(a1) sheetmodify firstrow(variables)
